<!DOCTYPE html>
<html>
    <head>
        <!-- mobile specific metas -->
        <meta charset="utf-8">
        <meta http-equiv="Content-Script-Type" content="text/javascript">
        <meta http-equiv="Content-Style-Type" content="text/css">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0">
        <meta name="apple-mobile-web-app-capable" content="yes">
        <meta name="mobile-web-app-capable" content="yes">
        <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
        <meta name="format-detection" content="telephone=no">

        <!-- web font -->
        <link rel="stylesheet" as="style" crossorigin href="https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.6/dist/web/static/pretendard.css" />

        <!-- IE compatibility mode -->
        <meta http-equiv="X-UA-Compatible" content="IE=edge">

        <!-- content overview -->
        <title>Kar Crawler</title>

        <!-- favicon -->
        <link rel="apple-touch-icon" sizes="180x180" href="./images/favicon/apple_icon_180x180.png">
        <link rel="icon" type="image/png" sizes="192x192" href="./include/img/favicon/android_icon_192x192.png">
        <link rel="icon" type="image/png" sizes="96x96" href="./include/img/favicon/favicon_96x96.png">
        <link rel="icon" type="image/png" sizes="32x32" href="./include/img/favicon/favicon_32x32.png">
        <link rel="icon" type="image/png" sizes="16x16" href="./include/img/favicon/favicon_16x16.png">

        <!-- css -->
        <link href="./include/css/reset.css" rel="stylesheet" type="text/css" />
        <link href="./include/css/main.css" rel="stylesheet" type="text/css" />

        <!-- javascript & jquery -->
        <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.14.3/xlsx.full.min.js"></script>
        <script type="text/javascript" src="/eel.js"></script>
        <script type="text/javascript">
            $(function(){
                
                // 체험판 타임락 
                var now_date = new Date();
                var lock_date = new Date("2023-07-01");
                if(lock_date < now_date){
                    $(".submit_wrap > button").remove();
                    $(".submit_wrap").html("<p>체험 종료</p>");
                    return
                }

                // 인증정보 가져오기 
                let key = '286547A7-EFE7-36F8-B4E0-0A3DEB550CE5'
                $.support.cors = true;

                $.ajax({
                    type: "get",
                    url: "https://api.vworld.kr/req/data?key="+key+"&domain=localhost&service=data&version=2.0&request=getfeature&format=json&size=1000&page=1&geometry=false&attribute=true&crs=EPSG:3857&geomfilter=BOX(13663271.680031825,3894007.9689600193,14817776.555251127,4688953.0631258525)&data=LT_C_ADSIDO_INFO",
                    async: false,
                    dataType: 'jsonp',
                    success: function(data) {
                        let html = " <option style=\"display:none\" selected>시/도</option>";
                        data.response.result.featureCollection.features.forEach(function(f){
                            let code = f.properties.ctprvn_cd;
                            let name = f.properties.ctp_kor_nm;
                            html +=`<option value="${code}">${name}</option>`
                        })
                        $('#sido_code').html(html);
                        
                        add_option('#sido_code', '', '시/도');

                    },
                    error: function(xhr, stat, err) {}
                });
                
                // 시/도 변화
                $(document).on("change","#sido_code",function(){
                    let thisVal = $(this).val();

                    if(thisVal == ""){
                        $('#sigoon_code').html('');
                        
                        html =`<option style="display:none" value="">시/군/구</option>`
                        $('#sigoon_code').html(html);
                        return
                    }

                    $.ajax({
                        type: "get",
                        url: "https://api.vworld.kr/req/data?key="+key+"&domain=localhost&service=data&version=2.0&request=getfeature&format=json&size=1000&page=1&geometry=false&attribute=true&crs=EPSG:3857&geomfilter=BOX(13663271.680031825,3894007.9689600193,14817776.555251127,4688953.0631258525)&data=LT_C_ADSIGG_INFO",
                        data : {attrfilter : 'sig_cd:like:'+thisVal},
                        async: false,
                        dataType: 'jsonp',
                        success: function(data) {
                            let html = "";
                            data.response.result.featureCollection.features.forEach(function(f){
                                let code = f.properties.sig_cd;
                                let name = f.properties.sig_kor_nm;
                                html +=`<option value="${code}">${name}</option>`
                            })
                            $('#sigoon_code').html(html);
                            add_option('#sigoon_code', '', '시/군/구')

                            $('#sigoon_code').val("");

                        },
                        error: function(xhr, stat, err) {
                        }
                    });
                });

                // 시/군/구 변화
                $(document).on("change","#sigoon_code",function(){

                    let thisVal = $(this).val();
                    if(thisVal == ""){
                        $('#dong_code').html('');
                        html =`<option style="display:none" value="">읍/면/동</option>`
                        $('#dong_code').html(html);
                        return
                    }
                    $.ajax({
                        type: "get",
                        url: "https://api.vworld.kr/req/data?key="+key+"&domain=localhost&service=data&version=2.0&request=getfeature&format=json&size=1000&page=1&geometry=false&attribute=true&crs=EPSG:3857&geomfilter=BOX(13663271.680031825,3894007.9689600193,14817776.555251127,4688953.0631258525)&data=LT_C_ADEMD_INFO",
                        data : {attrfilter : 'emd_cd:like:'+thisVal},
                        async: false,
                        dataType: 'jsonp',
                        success: function(data) {
                            let html = "";
                            data.response.result.featureCollection.features.forEach(function(f){
                                let code = f.properties.emd_cd;
                                let name = f.properties.emd_kor_nm;
                                html +=`<option value="${code}">${name}</option>`
                            })
                            $('#dong_code').html(html);
                            add_option('#dong_code', '', '읍/면/동')
                            $('#dong_code').val("");
                        },
                        error: function(xhr, stat, err) {}
                    });
                });

                // string 포멧
                String.prototype.format = function() {

                    var formatted = this;
                    for( var arg in arguments ) {
                        formatted = formatted.replace("{" + arg + "}", arguments[arg]);
                    }
                    return formatted;
                };

                // 빈 변수인지 확인
                function is_empty(str){
                    if(typeof str == "undefined" || str == null || str == "")
                        return true;

                    else
                        return false;
                };

                // 옵션태그 추가
                function add_option(tag, val, text){

                    var select = $(tag);

                    // Get the value and text for the new option
                    var optionValue = val;
                    var optionText = text;

                    // Create the new option element
                    var newOption = $("<option>").val(optionValue).text(optionText);

                    // Prepend the new option at the top of the select element
                    select.prepend(newOption);
                };

                // 제출
                $("#submit").click(function(){

                    // 데이터 셋팅
                    var sido_code = $("#sido_code").val();
                    var sido_text = "";
                    if (sido_code != "") sido_text = $("#sido_code").find("option[value='" + sido_code + "']").text();
                    
                    var sigoon_code = $("#sigoon_code").val();
                    var sigoon_text = "";
                    if (sido_code != "") sigoon_text = $("#sigoon_code").find("option[value='" + sigoon_code + "']").text();
                    
                    var dong_code = $("#dong_code").val();
                    var dong_text = "";
                    if (dong_code != "") dong_text = $("#dong_code").find("option[value='" + dong_code + "']").text();
                    
                    var where = $("#where").val();
                    var keyword = $("#keyword").val();
                    
                    // 파이썬으로 전송할 json 셋팅
                    var input_json = {
                        'do' : sido_text,
                        'si_gun' : sigoon_text,
                        'dong_myun_li' : dong_text,
                        'gubun' : where,
                        'keyword' : keyword,
                        'service_div' : "00"
                    };
                    // json 전송
                    eel.send(input_json);
                });

                // 파이썬으로 부터 데이터 받아와서 처리
                eel.expose(passage_js);
                function passage_js(x) {
                    alert(x);
                    return
                };

            })
        </script>
    </head>
    <body>
        <div class="master_wrap">
            <!-- 해더 -->
            <div class="header_wrap">
                <!-- <h1>
                    <img src="include/img/logo/logo.jpg" alt="logo"/>
                </h1> -->
            </div>
            <div class="body_wrap">
                <!-- 타이틀 -->
                <div class="main_title">
                    <div class="title_wrap">
                        <h3>한국 공인중개사 협회<br/>자동화 데이터 추출 서비스</h3>
                        <p>컨텐츠 관리를 더 쉽고 빠르게!</p>
                    </div>
                    <div class="image_wrap">
                        <img src="include/img/main_visual.png"/>
                    </div>
                </div>
                <div class="search_wrap">
                    <div class="inner_wrap">
                        <form id="nsdiSearchForm" action="#" class="form_data" onsubmit="return false;search();">
                            <div>
                                <select id="sido_code">
                                <option style="display:none" selected>시/도</option>
                            </select>
                                <select id="sigoon_code">
                                    <option style="display:none" selected>시/군/구</option>
                                </select>
                                <select id="dong_code">
                                    <option style="display:none" selected>읍/면/동</option>
                                </select>
                            </div>
                            <div>
                                <select id="where">
                                    <option style="display:none" selected>선택</option>
                                    <option value="mm_sangho_name">사무소명</option>
                                    <option value="mm_name">대표자</option>
                                </select>
                                <input 
                                    id="keyword"    
                                    type="text" 
                                    style="width:auto;display: inline-block"
                                    placeholder="검색어"
                                    autocomplete="off"
                                    >
                            </div>
                        </form>
                    </div>
                </div>

                <!-- 제출 -->
                <div class="submit_wrap">
                    <button id="submit" type="button">제출</button>
                </div>
            </div>
        </div>
    </body>

</html>
<style>
    .search_wrap .inner_wrap div{
        display: flex;
    }
    .search_wrap .inner_wrap div select{
        flex: 1;
    }
    .search_wrap .inner_wrap div input{
        flex: 1;
    }
    .search_btn{
        width: 100%;
        height: 48px;
        border-radius: 10px;
        background: #86b9f7;
        font-size: 15px;
        font-weight: 600;
        color: #fff;
    }


    select{
        width:auto;
    }

    #search{
        width:auto;
    }

</style>
